<?php

/**
 * walker-news-template: Block Patterns
 *
 * @since walker-news-template 1.0.0
 */

/**
 * Registers pattern categories for walker-news-template
 *
 * @since walker-news-template 1.0.0
 *
 * @return void
 */
function walker_news_templateregister_pattern_category()
{
    $block_pattern_categories = array(
        'walker-news-template' => array('label' => __('WNT Patterns', 'walker-news-template'))
    );

    $block_pattern_categories = apply_filters('walker_news_templateblock_pattern_categories', $block_pattern_categories);

    foreach ($block_pattern_categories as $name => $properties) {
        if (!WP_Block_Pattern_Categories_Registry::get_instance()->is_registered($name)) {
            register_block_pattern_category($name, $properties); // phpcs:ignore WPThemeReview.PluginTerritory.ForbiddenFunctions.editor_blocks_register_block_pattern_category
        }
    }
}
add_action('init', 'walker_news_templateregister_pattern_category', 9);
